<ruby id="dtgch"></ruby>
  • <rt id="dtgch"></rt>

    1. 當前位置首頁 > 電腦常識

      wdcp升級PHP和安裝PDO擴展

      閱讀次數:142258 次  來源:admin  發布時間:

      php5.3升級腳本

      ---------------------------

      在lanmp/wdcp/wdOS的當前版本中,默認的php都是用到5.2.17的版本

      如需要升級到php5.3的,可使用如下腳本升級

      (注:此升級無安全漏洞等原因,只為某些追求高版本或應用需求需要高版本,對于無這個必要的同學,可不用升級)

      wget http://down.wdlinux.cn/in/php_up53.sh

      sh php_up53.sh

      看到"php update is OK"提示,表示,順利完成

      wdcp 手動安裝PDO擴展

      --------------------------

      因為WDCP已經有下載PDO_MYSQL-1.0.2在安裝臨時目錄,所以我們只需要在SHH上登陸服務器,并移動到安裝包lanmp目錄下即可

      cd lanmp  //移動到安裝包目錄下

      tar zxvf PDO_MYSQL-1.0.2.tgz   //解壓安裝包

      cd PDO_MYSQL-1.0.2  //進入解壓后安裝目錄

      /www/wdlinux/php/bin/phpize  //查詢環境版本

      ./configure --with-php-config=/www/wdlinux/php/bin/php-config --with-pdo-mysql=/www/wdlinux/mysql   //編譯前測試配置

      make   //編譯安裝包

      make install   //安裝

      此刻你會看到

      [root@ PDO_MYSQL-1.0.2]# make install

      Installing shared extensions:     /www/wdlinux/php-5.2.17/lib/php/extensions/no-debug-non-zts-20060613/

      即表示安裝完成!

      最后我們重啟相關服務即可,如果您環境是lamp 運行這條命令  service httpd restart,如果您環境是lnmp 運行這條命令:service nginxd restart,如果您環境是lanmp 運行以上兩條命令!OK。

      到此安裝完成,可以查看phpinfo.php里找到對應的pdo_mysql。

      各種錯誤出現,請檢查/www/wdlinux/etc/下的  php.ini 配置文件內容是否已經寫入以下擴展路徑跟組件

      extension_dir=/www/wdlinux/php/lib/php/extensions/***********  //****內容為在上面執行了make install 后顯示的內容 ,多數為 /www/wdlinux/php-5.2.17/lib/php/extensions/no-debug-non-zts-20060613/

      extension=pdo_mysql.so

      wdcp 通過腳本安裝PDO擴展

      --------------------------

      執行

      wget -c http://down.wdlinux.cn/in/pdo_mysql_ins.sh

      再執行

      chmod 755 pdo_mysql_ins.sh

      ./pdo_mysql_ins.sh

      將 php.ini文件里以下2行前面;去掉

      extension=php_pdo.dll

      extension=php_pdo_mysql.dll

      并且添加

      extension=pdo.so

      extension=pdo_mysql.so

      重啟既可

      上一篇:一個人不成熟的5個表現
      下一篇:4個時刻的女人非常好色
      游泳男教练摸男生的裆部
      <ruby id="dtgch"></ruby>
    2. <rt id="dtgch"></rt>